<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * MobileTerminated
 *
 * @ORM\Table(name="mobile_terminated")
 * @ORM\Entity(repositoryClass="AppBundle\Repository\MobileTerminatedRepository")
 */
class MobileTerminated
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="content", type="text", nullable=true)
     */
    private $content;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="createdAt", type="datetime")
     */
    private $createdAt;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="sentAt", type="datetime", nullable=true)
     */
    private $sentAt;

    /**
     * @var string
     *
     * @ORM\Column(name="sender", type="string", length=11)
     */
    private $sender;

    /**
     * Many MobileTerminated have One Phonebook.
     * @ORM\ManyToOne(targetEntity="\AppBundle\Entity\Phonebook", inversedBy="mailbox", cascade={"persist"})
     * @ORM\JoinColumn(name="phonebook", referencedColumnName="id")
     */
    private $phonebook;

    /**
     * @var string
     *
     * @ORM\Column(name="status", type="string", nullable=false)
    **/
    private $status;

    /**
     * Get id
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

   

    /**
     * Set content
     *
     * @param string $content
     *
     * @return MobileTerminated
     */
    public function setContent($content)
    {
        $this->content = $content;

        return $this;
    }

    /**
     * Get content
     *
     * @return string
     */
    public function getContent()
    {
        return $this->content;
    }

    /**
     * Set createdAt
     *
     * @param \DateTime $createdAt
     *
     * @return MobileTerminated
     */
    public function setCreatedAt($createdAt)
    {
        $this->createdAt = $createdAt;

        return $this;
    }

    /**
     * Get createdAt
     *
     * @return \DateTime
     */
    public function getCreatedAt()
    {
        return $this->createdAt;
    }

    /**
     * Set sender
     *
     * @param string $sender
     *
     * @return MobileTerminated
     */
    public function setSender($sender)
    {
        $this->sender = $sender;

        return $this;
    }

    /**
     * Get sender
     *
     * @return string
     */
    public function getSender()
    {
        return $this->sender;
    }

    /**
     * Set status
     *
     * @param string $status
     *
     * @return MobileTerminated
     */
    public function setStatus($status)
    {
        $this->status = $status;

        return $this;
    }

    /**
     * Get status
     *
     * @return string
     */
    public function getStatus()
    {
        return $this->status;
    }

   

    /**
     * Set phonebook
     *
     * @param \AppBundle\Entity\Phonebook $phonebook
     *
     * @return MobileTerminated
     */
    public function setPhonebook(\AppBundle\Entity\Phonebook $phonebook)
    {
        $this->phonebook = $phonebook;

        return $this;
    }

    /**
     * Get phonebook
     *
     * @return \AppBundle\Entity\Phonebook
     */
    public function getPhonebook()
    {
        return $this->phonebook;
    }

    /**
     * Set sentAt
     *
     * @param \DateTime $sentAt
     *
     * @return MobileTerminated
     */
    public function setSentAt($sentAt)
    {
        $this->sentAt = $sentAt;

        return $this;
    }

    /**
     * Get sentAt
     *
     * @return \DateTime
     */
    public function getSentAt()
    {
        return $this->sentAt;
    }
}
